Bug 152193 - Eclipse should include GNU formatting style option
Summary: Eclipse should include GNU formatting style option
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-25 21:49 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 14:59:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 91770 None None None Never

Description Anthony Green 2005-03-25 21:49:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The GNU Classpath repository contains a GNU formatting style file for Eclipse.  We should bundle this with Eclipse so it is available by default.

Maybe it should even be the default style.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run Eclipse.  Try to set the Java formatting style to "GNU"
2.
3.
  

Additional info:

Comment 1 Andrew Overholt 2005-04-20 14:59:47 UTC
I've included this in builds >= 3.1.0_fc-0.M6.7.  I've also submitted my patches
upstream here:  https://bugs.eclipse.org/bugs/show_bug.cgi?id=91770 .

Note, however, that the formatting choice does not "stick" (see bug 151296).


Note You need to log in before you can comment on or make changes to this bug.